Bug 57778 - [Identity] Re-enter credentials warning should display on the welcome page
Summary: [Identity] Re-enter credentials warning should display on the welcome page
Status: RESOLVED FIXED
Alias: None
Product: Xamarin Studio
Classification: Desktop
Component: General (show other bugs)
Version: Trunk
Hardware: PC Mac OS
: Normal normal
Target Milestone: Future Cycle (TBD)
Assignee: Vaclav Vancura
URL:
Depends on:
Blocks:
 
Reported: 2017-06-27 02:14 UTC by Cody Russell
Modified: 2018-01-24 10:32 UTC (History)
5 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description Cody Russell 2017-06-27 02:14:43 UTC
We display this warning icon in the account manager dialog when necessary. We should probably also show it on the welcome screen.
Comment 1 Vsevolod Kukol 2017-06-27 09:02:50 UTC
Yeah, it makes sense. CC @Václav
Comment 2 Vaclav Vancura 2017-06-27 10:02:21 UTC
Yup. Makes sense. I'll draw it, but I'd like to finish the layout bugfixes first.
Comment 3 Vaclav Vancura 2017-09-04 10:03:31 UTC
Sevo: could you please push `IsError: true` and `ErrorDescription` into identity JSON? `ErrorDescription` is, I think, a good idea as we could display it on rollover as a tooltip.
Comment 4 Vaclav Vancura 2017-09-04 10:05:03 UTC
If `isError: false` then I'll, of course, ignore `ErrorDescription`, it could be empty. But maybe you'll have a better idea about API here, up to you. It's just a JSON.